POSTgetAccountInfo

Returns all information associated with the account of provided Pubkey

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
paramsoneOf[]required

It contains following items:

  1. Pubkey (required)
  2. ConfigurationObject (optional)
params[0]string

Pubkey of account to query, as base-58 encoded string.

Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

contextobject

An object containing metadata about the current state of the Solana network at the time of the request.

apiVersionstring

The API version used for the request

slotinteger

The slot number at which the request was evaluated

valueobject
dataoneOf

Data associated with the account, either as encoded binary data or JSON format {: } - depending on encoding parameter

array 1oneOf[]
object 2object
executableboolean

Boolean indicating if the account contains a program (and is strictly read-only)

lamportsinteger

Number of lamports assigned to this account

ownerstring

base-58 encoded Pubkey of the program this account has been assigned to

rentEpochinteger

The epoch at which this account will next owe rent, as u64

spaceinteger

The data size of the account

X-API-KEY
RequestCU20
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getAccountInfo",
  "params": [
    "3fJ7AiixCoHhaYzaNn1nNoLZMQnrGSMDNmMN4ZNUMpEa",
    {
      "commitment": "processed",
      "encoding": "base58",
      "dataSlice": {
        "offset": 0,
        "length": 100
      },
      "minContextSlot": "1234567890"
    }
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": {
    "context": {
      "apiVersion": "2.3.7",
      "slot": 403800551
    },
    "value": {
      "data": [
        "",
        "base58"
      ],
      "executable": false,
      "lamports": 88863104690252,
      "owner": "11111111111111111111111111111111",
      "rentEpoch": 18446744073709552000,
      "space": 0
    }
  },
  "id": 1
}